<?php

require_once("grouptags.inc.php");

function spicynodes_navigator_grouptags_admin_menu() {
	add_submenu_page('edit.php', 'Edit a Group of Tags', 'Group Tags', 'administrator', 'sngrouptag', 'spicynodes_navigator_grouptags_edit_group');
}
				
function spicynodes_navigator_grouptags_edit_group(){
	if (isset($_POST["saveGroup"])) { //save
		$groupId = $_POST["currentGroupId"]; #create new group if groupId is null
		$groupName = $_POST["currentGroupName"];
		$groupTags = $_POST["currentGroupTags"];
		spicynodes_navigator_grouptags_saveGroup ($groupId, $groupName, $groupTags);
	} else if (isset($_GET["action"])) {
		$action = $_GET["action"];
		if ($action == "addGroup") {
			list($groupId, $groupName) = spicynodes_navigator_grouptags_addGroup();
		} else if ($action == "deleteGroup") {
			spicynodes_navigator_grouptags_deleteGroup($_GET["groupId"]);
			myredirect("edit.php?page=sngrouptag");
		} else if ($action == "switchGroup") {
			$groupId = $_GET["groupId"];
		}
	}
	
	//assure groupId, groupName & groupTags
	if ($groupId) { //try get 1st group
		$group = spicynodes_navigator_grouptags_getGroupBy_groupId($groupId);
		$groupName = $group["groupName"];
		$groupTags = $group["groupTags"];
	} else {
		$groups = spicynodes_navigator_grouptags_getGroups();
		if ($groups) {
			$groupId = $groups[0]["groupId"];
			$groupName = $groups[0]["groupName"];
			$groupTags = $groups[0]["groupTags"];
		}
	}
	
	$js = spicynodes_navigator_grouptags_javascript();
	$header = spicynodes_navigator_grouptags_header();
	$nav = spicynodes_navigator_grouptags_nav($groupId);
	$tagcloud = spicynodes_navigator_grouptags_tag_cloud();
	
	$display = $groupId?"block":"none";
	
	if ($action == "addGroup") {
		$change_groupname = "<div id='show_change_group' style='display:block'><p>&nbsp;&nbsp;&nbsp;&nbsp;Group name:<input id='changegroupname' name='changegroupname' value='$groupName' type='input' size=35/>&nbsp;<input type='button' value='Change' onclick='javascript:changeGroupName();' class='button'/>&nbsp;<input type='button' name='cancelgroupname' value='Cancel' class='button' onclick='javascript:showChangeGroup();' /></p></div>";
	} else {
		$change_groupname = "<div id='show_change_group' style='display:none'><p>&nbsp;&nbsp;&nbsp;&nbsp;Group name:<input id='changegroupname' name='changegroupname' type='input' size=35/>&nbsp;<input type='button' value='Change' onclick='javascript:changeGroupName();' class='button'/>&nbsp;<input type='button' name='cancelgroupname' value='Cancel' class='button' onclick='javascript:showChangeGroup();' /></p></div>";
	}
	
	$body = <<<END
	
	${js}
	${header}
	<div class="wrap">
	${nav}
	<div id="more-action" style="display:$display">
		<div><p><a href="javascript:showChangeGroup();">Change group name</a> | <a href="javascript:deleteGroup($groupId);">Delete group "$groupName"</a></p></div>
		${change_groupname}
	</div>
	
	<div id="change-tags" style="margin-top:30px;display:$display">
	<table width=100%>
		<tr><td><b>Click any tags</b></td><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td><td><b>Tags in this group</b></td></tr>
		<tr>
			<td valign="top"><div>${tagcloud}</div></td>
			<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
			<td valign="top">
				<div>
				<form action="edit.php?page=sngrouptag" method="post" onsubmit="return doSaveGroup()">
				<input type="hidden" id="saveGroup" name="saveGroup" value="1"/>
				<input type="hidden" id="currentGroupId" name="currentGroupId" value="$groupId"/>
				<input type="hidden" id="currentGroupName" name="currentGroupName" value="$groupName"/>
				<textarea id="currentGroupTags" name="currentGroupTags" rows="15" cols="40">${groupTags}</textarea>
				<br/><span style="font-color:grey">*Delete text above to remove tags from group</span>
				<br/><br/>
				<input type="submit" name="changegroup" value="Submit" class="button" />
				</form>
				</div>
			</td>
		</tr>
	</table>
	</div>
	
</div>
END;
	echo $body;
}

?>