<?php
/*
Plugin Name: SpicyNodes Navigator
Plugin URI: http://www.spicynodes.org/wordpress.html
Description: Add SpicyNodes Navigator to your WordPress blog!
Version: 0.1
Author: SpicyNodes
Author URI: http://www.spicynodes.org
License: GPL2
*/


//global define
define ("SpicyNodes_FileRoot", dirname(__FILE__));


//hooks
require_once("include/widget.php");
require_once("include/grouptags.php");
require_once("include/actions.php");


//registers
register_activation_hook(__FILE__, 'spicynodes_navigator_install');
add_action('widgets_init', 'spicynodes_navigator_init');
add_action( 'admin_init', 'spicynodes_navigator_register_action');
add_action ( 'admin_menu', 'spicynodes_navigator_grouptags_admin_menu' );

?>